Package ru.bitel.bgbilling.common.bean

# Class TransactionUtils

java.lang.Object
ru.bitel.bgbilling.common.bean.TransactionUtils

Direct Known Subclasses:
  `TransactionUtils`

    public class TransactionUtils
    extends java.lang.Object

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `TransactionUtils()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `static void` | `setAutopaymentData​(int moduleId, int contractId, ParameterMap moduleSetup, java.util.Map<java.lang.String,​java.lang.Object> dataMap, java.sql.Connection con, java.lang.String prefix, AbstractAutopaymentManager autopaymentManager, java.lang.Class<?> constantsClass)` |
  `static void` | `setAutopaymentEnabled​(ParameterMap moduleSetup, java.util.Map<java.lang.String,​java.lang.Object> dataMap, Autopayment autopayment, Preferences autopaymentModePreferences, java.lang.String prefix, java.lang.Class<?> constantsClass)` |
  `static void` | `setAutopaymentModeAuto​(ParameterMap moduleSetup, java.util.Map<java.lang.String,​java.lang.Object> dataMap, Autopayment autopayment, Preferences autopaymentModePreferences, java.lang.String prefix, java.lang.Class<?> constantsClass)` | Автоматический режим
  `static void` | `setAutopaymentModeMonth​(ParameterMap moduleSetup, java.util.Map<java.lang.String,​java.lang.Object> dataMap, Autopayment autopayment, Preferences autopaymentModePreferences, java.lang.String prefix, java.lang.Class<?> constantsClass)` | ежемесячный режим
  `static void` | `setAutopaymentModeWeek​(ParameterMap moduleSetup, java.util.Map<java.lang.String,​java.lang.Object> dataMap, Autopayment autopayment, Preferences autopaymentModePreferences, java.lang.String prefix, java.lang.Class<?> constantsClass)` |
  `static void` | `setMinMaxSum​(ParameterMap moduleSetup, java.util.Map<java.lang.String,​java.lang.Object> dataMap, java.lang.String prefix, java.lang.Class<?> constantsClass)` |

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### TransactionUtils

    public TransactionUtils()

- ## Method Details

  - ### setMinMaxSum

    public static void setMinMaxSum​(ParameterMap moduleSetup, java.util.Map<java.lang.String,​java.lang.Object> dataMap, java.lang.String prefix, java.lang.Class<?> constantsClass)

  - ### setAutopaymentData

    public static void setAutopaymentData​(int moduleId, int contractId, ParameterMap moduleSetup, java.util.Map<java.lang.String,​java.lang.Object> dataMap, java.sql.Connection con, java.lang.String prefix, AbstractAutopaymentManager autopaymentManager, java.lang.Class<?> constantsClass) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### setAutopaymentEnabled

    public static void setAutopaymentEnabled​(ParameterMap moduleSetup, java.util.Map<java.lang.String,​java.lang.Object> dataMap, Autopayment autopayment, Preferences autopaymentModePreferences, java.lang.String prefix, java.lang.Class<?> constantsClass)

  - ### setAutopaymentModeWeek

    public static void setAutopaymentModeWeek​(ParameterMap moduleSetup, java.util.Map<java.lang.String,​java.lang.Object> dataMap, Autopayment autopayment, Preferences autopaymentModePreferences, java.lang.String prefix, java.lang.Class<?> constantsClass)

  - ### setAutopaymentModeMonth

    public static void setAutopaymentModeMonth​(ParameterMap moduleSetup, java.util.Map<java.lang.String,​java.lang.Object> dataMap, Autopayment autopayment, Preferences autopaymentModePreferences, java.lang.String prefix, java.lang.Class<?> constantsClass)
    ежемесячный режим

  - ### setAutopaymentModeAuto

    public static void setAutopaymentModeAuto​(ParameterMap moduleSetup, java.util.Map<java.lang.String,​java.lang.Object> dataMap, Autopayment autopayment, Preferences autopaymentModePreferences, java.lang.String prefix, java.lang.Class<?> constantsClass)
    Автоматический режим